<template>
   <div v-if="stateFinalScreen">
       <button @click="emitRandomEvent">Random</button>
 <button @click="goBackHome">Home</button>
 <button @click="goBack">Go Back</button>
        <div v-for="field in datax" :key="field">
            <h1 id="titulo">{{field.strMeal}}</h1>
            <img id="img" :src="field.strMealThumb" />
            <h3 id="drink" v-if!>{{field.strDrinkAlternate}}</h3>
            <h2 id="categoria" v-if!>{{field.strCategory}}</h2>
            <h3 id="instrucciones" v-if!>{{field.strInstructions}}</h3>
            <iframe
                width="560"
                height="315"
                :src="field.strYoutube"
                frameborder="0"
                allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen
            ></iframe>

            <!--INGREDIENTS -->
<div class="ing">
            <ul>
             <li><p id="ingredientes" class="ingredients">Ingredients:</p></li>
             <li><h3 class="ingredients" v-if!>{{field.strIngredient1}}</h3></li>
             <li><h3 class="ingredients" v-if!>{{field.strIngredient2}}</h3></li>
             <li><h3 class="ingredients" v-if!>{{field.strIngredient3}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient4}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient5}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient6}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient7}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient8}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient9}}</h3></li>
          <!--  <li><h3 class="ingredients" v-if!>{{field.strIngredient10}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient11}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient12}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient13}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient14}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient15}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient16}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient17}}</h3></li>
           <li><h3 class="ingredients" v-if!>{{field.strIngredient18}}</h3></li>
            <li><h3 class="ingredients" v-if!>{{field.strIngredient19}}</h3></li>
           <li> <h3 class="ingredients" v-if!>{{field.strIngredient20}}</h3></li>-->
            </ul>
            <ul>
           <li><p id="measures" class="measures">Measures:</p></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure1}}</h3></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure2}}</h3></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure3}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure4}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure5}}</h3></li>
          <li> <h3 class="measures" v-if!>{{field.strMeasure6}}</h3></li>
         <li><h3 class="measures" v-if!>{{field.strMeasure7}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure8}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure9}}</h3></li>
         <!-- <li><h3 class="measures" v-if!>{{field.strMeasure10}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure11}}</h3></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure12}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure13}}</h3></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure14}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure15}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure16}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure17}}</h3></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure18}}</h3></li>
          <li><h3 class="measures" v-if!>{{field.strMeasure19}}</h3></li>
           <li><h3 class="measures" v-if!>{{field.strMeasure20}}</h3></li>-->
              </ul>
              </div>
        </div>
        
    </div>
</template>

<script>
export default {
    name: 'FinalScreen',
    props: {
        datax: { objectType: Array, required: true },
        stateFinalScreen: { objectType: Boolean, required: true },
    },
    data() {
        return {
            
        }
    },
    methods: {
emitRandomEvent(){
      this.$emit("randomEvent");
    },
goBackHome(){
      this.$emit("backHomeEvent");
    },
    goBack(){
      this.$emit("goBackEvent");
    }



    },
}
</script>

<style scoped>
.ing{
    display: flex
};
ul{
    list-style: none;
}


</style>
